dpkg-divert(8)

NOM
dpkg-divert - remplacer la version d'un fichier contenu dans un paquet.

SYNOPSIS
dpkg-divert [option...] commande

DESCRIPTION
dpkg-divert sert à créer et à mettre à jour la liste des détournements.

File diversions are a way of forcing dpkg(1) not to install a file into its location, but to a diverted location. Diversions can be used through the Debian package scripts to move a file away when it causes a conflict. System administrators can also use it to override some package's configuration file, or whenever some files (which aren't marked as 'conffiles') need to be preserved by dpkg, when installing a newer version of a package which contains those files.

COMMANDES

[--add] fichier
    Ajouter un détournement pour le fichier.

--remove fichier
    Supprimer un détournement pour le fichier.

--list exp-reg
    Lister les détournements qui correspondent à exp-reg.

--listpackage fichier
    Afficher le nom du paquet qui dérive (« divert ») fichier. Affiche LOCAL si fichier est dérivé localement et n'affiche rien si fichier n'est pas dérivé.

--truename fichier
    Afficher le vrai nom d'un fichier détourné.

OPTIONS

--admindir répertoire
    Set the dpkg data directory to directory (default: /var/lib/dpkg).

--divert détourner-dans
    détourner-dans est l'emplacement vers lequel les versions de fichier, tel qu'il est donné par d'autres paquets, seront détournées.

--local
    Indique que toutes les versions de ce fichier sont détournées. Cela signifie qu'il n'y a pas d'exception et quel que soit le paquet installé, ce fichier sera détourné. Un administrateur peut par exemple installer une version modifiée localement.

--package paquet
    paquet est le nom du paquet dont la copie de fichier ne sera pas détournée. Autrement dit, fichier sera détourné sauf s'il appartient à paquet.

--quiet
    Mode silencieux, pas de bavardage.

--rename
    Met en fait le fichier de côté. Quand le fichier de destination existe, dpkg-divert interrompt l'opération.

--test
    Mode de test, ne rien modifier réellement, seulement montrer.

-?, --help
    Affiche un message d'aide puis quitte.

--version
    Affiche le numéro de version puis quitte.

ENVIRONNEMENT

DPKG_ADMINDIR
    If set and the --admindir option has not been specified, it will be used as the dpkg data directory.

DPKG_MAINTSCRIPT_PACKAGE
    Si cette variable est positionnée et que les options --local et --package ne le sont pas, dpkg-divert en utilisera la valeur comme nom de paquet.

FICHIERS

/var/lib/dpkg/diversions
    File which contains the current list of diversions of the system. It is located in the dpkg administration directory, along with other files important to dpkg, such as status or available.
    Note : dpkg-divert préserve l'ancienne copie de ce fichier, avec l'extension « -old », avant de la remplacer par la nouvelle.

NOTES
Pour l'ajout, le défaut est --local et --divert original.distrib. Pour la suppression, --package ou --local et --divert doivent correspondre quand ils sont précisés. On ne peut pas détourner des répertoires avec dpkg-divert. Care should be taken when diverting shared libraries, ldconfig(8) creates a symbolic link based on the DT_SONAME field embedded in the library. Because ldconfig doesn't honour diverts (only dpkg does), the symlink may end up pointing at the diverted library, if a diverted library has the same SONAME as the undiverted one.

EXEMPLES
Pour détourner toutes les copies de /usr/bin/example vers /usr/bin/example.foo, c'est-à-dire demander aux paquets qui fournissent /usr/bin/example de l'installer dans /usr/bin/example.foo, en effectuant le changement de nom si nécessaire :

dpkg-divert --divert /usr/bin/example.foo --rename /usr/bin/example

Pour supprimer ce détournement :

dpkg-divert --rename --remove /usr/bin/example

Pour détourner un paquet qui veut installer /usr/bin/example dans /usr/bin/example.foo, sauf votre propre paquet wibble :

dpkg-divert --package wibble --divert /usr/bin/example.foo --rename /usr/bin/example

Pour supprimer ce détournement :

dpkg-divert --package wibble --rename --remove /usr/bin/example

VOIR AUSSI
dpkg(1).

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.